#!/bin/bash
set -e

WORK_DIR=/proj/nsc_testing/xuan/berzelius-benchmarks/PyTorch/Segmentation/nnUNet
benchmark_modes=("train" "predict")

dim=2
for nodes in {1..1}; do
    for gpus in {1,8}; do
        for batch_size in 256; do
            for benchmark_mode in "${benchmark_modes[@]}"; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, benchmark_mode ${benchmark_mode}

                # For single node
                bash $WORK_DIR/generate_benchmark_jobs.sh ${dim} ${nodes} ${gpus} ${batch_size} ${benchmark_mode}
                SBATCH_DIR=$WORK_DIR/sbatch_scripts/benchmark_${benchmark_mode}_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}.sbatch
                sbatch $SBATCH_DIR
                sleep 1 
                
            done
        done
    done
done
